class Netfira::WebConnect::RackApp
  module Action::Version1
    class DeprecatedDownstream < Action
      def call
        {self.class.name.demodulize.downcase[3..-1] => []}
      end
    end

    %w(Orders Documents InboundDocuments).each do |name|
      const_set :"New#{name}", Class.new(DeprecatedDownstream)
    end
  end
end
