module Netfira::WebConnect
  module Model::Record::Tree

    def children
      (origin_id.nil? || origin_id.empty?) ? [] : self.class.where(shop_id: shop_id, parent_id: origin_id)
    end

    def parent
      @parent ||= parent_id && !parent_id.empty? && self.class.find_by(shop_id: shop_id, origin_key => parent_id)
    end

    def parent_id=(value)
      if Fixnum === value
        @parent = self.class.find(value)
        value = @parent.origin_id
      elsif value != parent_id
        @parent = nil
      end
      self[:parent_id] = value
    end

  end
end
