class Netfira::WebConnect::RackApp
  module Action::Version8
    class Checksums < Action
      def call
        allow :get

        klass = class_for_record_type(query_string['type'])
        checksums = klass.where(shop_id: shop.id).map{ |record| [record.origin_id, record.digest]}.to_h

        {checksums: checksums}
      end
    end
  end
end
